Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb.sb
Class ContainerManagedServiceBeanBase

`java.lang.Object
oracle.jbo.server.ejb.SessionBeanImpl
oracle.jbo.server.ejb.sb.ServiceBean
oracle.jbo.server.ejb.sb.ContainerManagedServiceBeanBase`

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

Direct Known Subclasses:
  ContainerManagedServiceBean, StatelessContainerManagedServiceBean

public class ContainerManagedServiceBeanBase
extends ServiceBean

BaseClass for deploying an appmodule service methods as session bean with container managed transaction. This class implements the javax.ejb.SessionSynchronization and TransactionHandlerFactory interface for associating the bean transaction with the bc4j transaction. The TransactionHandlerFactory allows this bean to plug in the TransactionHandler which in trun is notified of the transaction boundary callbacks received from the container via the SessionSynchronization interface.

It also provides the functionality to automatically acquire and release a jdbc connection at start and end of a the transaction.

See Also:
  Serialized Form

Field Summary
`protected ContainerManagedTxnHandlerImpl` | `mHandler`

Fields inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`mApplicationModule`

Constructor Summary
`ContainerManagedServiceBeanBase()`

Method Summary
`protected TransactionHandlerFactory` | `createTransactionHandlerFactory()`
`protected boolean` | `isTransactionManagedByBean()`
`protected void` | `postChanges()` Posts the changes to the database when the transaction is about to be completed.

Methods inherited from class oracle.jbo.server.ejb.sb.ServiceBean
`createApplicationModule, createApplicationModule, isJboBean`

Methods inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`connectToDataSource, createApplicationModule, createApplicationModule, disconnectFromDataSource, doMessage, ejbActivate, ejbPassivate, ejbRemove, getApplicationModule, getApplicationModuleDefName, getConfigurationName, getSessionContext, getTransactionTimeOut, postApplicationModuleCreate, removeApplicationModule, setApplicationModuleDefName, setConfigurationName, setCurrentSessionContext, setSessionContext, useDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mHandler

    protected transient ContainerManagedTxnHandlerImpl mHandler

Constructor Detail

### ContainerManagedServiceBeanBase

    public ContainerManagedServiceBeanBase()

Method Detail

### isTransactionManagedByBean

    protected final boolean isTransactionManagedByBean()

  Overrides:
    `isTransactionManagedByBean` in class `SessionBeanImpl`

### postChanges

    protected void postChanges()
                        throws JboException

  Posts the changes to the database when the transaction is about to be completed.
  Throws:
    `JboException`
  See Also:
    `Transaction.postChanges()`

### createTransactionHandlerFactory

    protected TransactionHandlerFactory createTransactionHandlerFactory()

  Specified by:
    `createTransactionHandlerFactory` in class `ServiceBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.